#include "flow.h"

int flow (char *buf)
{
	charlib_string(buf);
	if( strchr(buf,'>') )
	{
		flow_out(buf);
		return 0;
	}
	if( strchr(buf,'<') )
	{
		flow_input(buf);
		return 0;
	}
	return 0;
}

int flow_out(char *buf)
{
	char *p;
	int fp;
	p=strtok(buf,">");
	p=strtok(NULL,">");
	charlib_string(p);
	fp = open(p,O_RDWR|O_CREAT );
	if(fp<0)
	{
		perror("flow_out");
		return -1;
	}
	dup2(fp, STDOUT_FILENO);
	close(fp);
	return 0;
}

int flow_input(char *buf)
{
	char *p;
	int fp;
	p=strtok(buf,"<");
	p=strtok(NULL,"<");
	charlib_string(p);
	fp = open(p,O_RDONLY );
	if(fp<0)
	{
		perror("flow_out");
		return -1;
	}
	dup2(fp, STDIN_FILENO);
	close(fp);
	return 0;
}
