#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include "main.h"
#include "fork.h"


//创建一个进程，并执行新程序//
int New_Fork(void)
{
	pid_t pid;
	pid=fork();
	if(pid<0)
	{
		perror("fork failed");
		return 0;
	}
	if(pid==0)
	{
		execvp(ProgramName,Pointer);
		dup2(SaveFlow[0], STDIN_FILENO);
		dup2(SaveFlow[1], STDOUT_FILENO);
		dup2(SaveFlow[2], STDERR_FILENO);
		printf("无法执行此命令!\n");
		exit(0);
	}
	else
	{
		//等到子进程返回，并重定向回标准流
		wait();
		dup2(SaveFlow[0], STDIN_FILENO);
		dup2(SaveFlow[1], STDOUT_FILENO);
		dup2(SaveFlow[2], STDERR_FILENO);
		return 0;
	}
}
