#include <stdio.h>
#include <pwd.h>
#include <unistd.h>
#include <sys/types.h>
#include <netdb.h>
#include <sys/socket.h>
#include "getusers.h"
#include "main.h"
#include "Type.h"

//取得当前的工作目录保存在NowPath中//
int path_getcwd(void)
{
	if((getcwd(NowPath,PATHSIZE))==NULL)
	{
		perror("path_getcwd");
		return -1;
	}
	return 0;
}

//复制标准流的描述词保存在 SaveFlow中 //
int get_flow(void)
{
	SaveFlow[0]=dup(STDIN_FILENO);
	SaveFlow[1]=dup(STDOUT_FILENO);
	SaveFlow[2]=dup(STDERR_FILENO);
	return 0;
}

//获取用户信息保存在users结构体中//
int get_users(void)
{
	userid=getuid();
	SaveUsers=getpwuid(userid);
	if(SaveUsers == NULL)
	{
		perror("getpwuid");
		return -1;
	}
	return 0;
}

//获取计算机名称保存到HostName中//
int get_host(void)
{
	gethostname(HostName,sizeof(HostName));
	return 0;
}
