#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include "cd_command.h"
#include "charlib.h"
#include "main.h"
#include "Type.h"

//内建cd命令//
int cd_command (char *buf)
{
	if( !strcmp(buf,"~") )
	{
		strcpy(OldPath,NowPath);
		strcpy(NowPath,SaveUsers->pw_dir);
		if( chdir(NowPath) )
		{
			printf("错误！无法返回到家目录\n");
			strcpy(NowPath,OldPath);
			chdir(NowPath);
			return 0;
		}
		return 0;
	}
	//这里判断cd中的"."//
	if( !strcmp(buf,".") )
	{
		return 0;
	}
	//这里判断cd中的".."//
	if( !strcmp(buf,"..") )
	{
		//如果当前的路径等于"\0",也就是说为"/",则直接跳过//
		if( *NowPath==END)
			return 0;
		//否则拷贝当前目录到历史目录中//
		strcpy(OldPath,NowPath);
		//在NowPath搜索最后一个"/"将其改为"\0"截断支付串,然后执行跳转//
		*(strrchr(NowPath,'/'))=END;
		if( chdir(NowPath) )
		{
			printf("错误！无法返回上一个目录\n");
			strcpy(NowPath,OldPath);
			chdir(NowPath);
			return 0;
		}
		return 0;
	}
	
	if(*buf=='/')
	{
		strcpy(OldPath,NowPath);
		strcpy(NowPath,buf);
		charlib_in_Backslash(NowPath);
		stat(NowPath,&info);
		if(S_ISREG(info.st_mode))
		{
			printf("错误!目标是一个文件!\n");
			strcpy(NowPath,OldPath);
			return 0;
		}
		if( chdir(NowPath) )
		{
			printf("错误！\n");
			strcpy(NowPath,OldPath);
			chdir(NowPath);
			return 0;
		}
		return 0;
	}
	else
	{
		
		strcpy(OldPath,NowPath);
		strcat(NowPath,"/");
		strcat(NowPath,buf);
		charlib_in_Backslash(NowPath);
		stat(NowPath,&info);
		if(S_ISREG(info.st_mode))
		{
			printf("错误!目标是一个文件!\n");
			strcpy(NowPath,OldPath);
			return 0;
		}
		if(chdir(NowPath))
		{
			printf("错误!\n");
			strcpy(NowPath,OldPath);
			chdir(NowPath);
			return 0;
		}
	}
	return 0;
}

int charlib_in_Backslash(char *buf)
{
	int i,len,a;
	len=strlen(buf);
	
	for(i=0;i<=len;i++)
	{
		if(*(buf+i)=='/')
		{
			if(*(buf+i+1)=='/' || *(buf+i+1)==END)
			{
				for(a=i;a<len;a++)
				{
					*(buf+a)=*(buf+a+1);
				}
				i=0;
			}
		}
	}
	return 0;
}

