#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "internalcom.h"
#include "main.h"
#include "Type.h"
#include "charlib.h"
#include "cd_command.h"

//解析内建命令//
int internalcom(char *string)
{
	//声明一个零时空间,用于保存命令的传递//
	char *buf;
	buf=malloc( strlen(string) );
	if(buf==NULL)
	{
		perror("internalcom_buf");
		return -1;
	}
	
	strcpy(buf,string);
	//循环用//
	int i;
	for(i=0;i<=strlen(buf);i++)
	{
		//复制到 ProgramName//
		*(ProgramName+i)=*(buf+i);
		if( *(buf+i)==SPACE)
		{
			//如果string中出现空格,则在 ProgramName 中添加'\0'//
			*(ProgramName+i)=END;
			i++;	//因为处理后直接跳出所以i++//
			break;
		}
		if(*(buf+i)==END)
		{
			*(ProgramName+i)=END;
			i++;	//因为处理后直接跳出所以i++//
			break;
		}
	}
	//buf 中的字符向前移动i,以便直复制递给参数,//
	charlib_move(buf,i);
	//拷贝剩余的字符,当程序的参数//
	strcpy(ProgramParameter,buf);
	
	//释放声明一个零时空间//
	free(buf);
	
	if( (strcmp(ProgramName,"cd")) == 0)
		{
			cd_command(ProgramParameter);
			return 0;
		}
	return -1;
}
